Ir al contenido



Foto

IBExpert 3.0 en Windows 10


  • Por favor identifícate para responder
24 respuestas en este tema

#1 marcosmoreira16

marcosmoreira16

    Newbie

  • Miembros
  • Pip
  • 7 mensajes
  • LocationAruba

Escrito 13 febrero 2017 - 12:28

Hola amigos.

Voy empezar un proyecto en Delphi 7 y usar Firebird.

Hacen unos 4 años q no escribo ningun software, pero quiero empezar otra vez.

Tengo Windows 10, Firebird 2.5.6 y IBExpert 3.0.

El mensage de error es:

"Unsuccesfull execution caused by an unavailable resource,
unavailable database."

He intentado muchas cosas, pero todavia no me funciona.

Me pueden ayudar?

Perdonen mi español. Soy brasileño.

Gracias Amigos.

Saludos desde Aruba.

Archivos adjuntos


  • 0

#2 enecumene

enecumene

    Webmaster

  • Administrador
  • 7.160 mensajes
  • LocationRepública Dominicana

Escrito 13 febrero 2017 - 12:50

Hola, no era necesario abrir un tema ya le di la respuesta por aquí


  • 0

#3 Delphius

Delphius

    Advanced Member

  • Administrador
  • 5.907 mensajes
  • LocationArgentina

Escrito 13 febrero 2017 - 12:50

He visto que has escrito este mismo mensaje en otro hilo.

Por favor, no dupliques mensajes.

A mi parecer no creo que sea cosa de la versión 32bits de la dll que requiere IBExpert como te sugirió el compañero enecumene en el otro hilo.

De tu imagen alcanzo a ver que el directorio de instalación de Firebird es Program Files x86, por lo tanto se trata de una instalación de Firebird de 32bits. Y por consiguiente IBExpert podrá conectarse sin problemas.

A mi parecer pueden ser 3 cosas:

1. Posiblemente el error esté en que algo te bloquea el puerto 3050, que es el que por defecto utiliza Firebird. Fíjate si el Firewall de Windows o algún Antivirus lo está bloqueando.

2. También asegúrate de que la ruta de conexión sea válida.

3. Los servicios de Firebird no está siendo ejecutado. Firebird tiene dos servicios: FBGuard y FBServer, el primero se encarga de levantar y/o iniciar al 2do (que es técnicamente el servidor) en cuanto detecta que se cae. Existe la posibilidad de que hayas configurado al momento de la instalación que el fbguard se ejecute manualmente. Ve a Administrador de Servicios y asegúrate de los servicios de Firebird se ejecuten automáticamente al iniciarse el equipo y/o que no haya otro servicio que lo esté bloqueando.

Saludos,


  • 0

#4 enecumene

enecumene

    Webmaster

  • Administrador
  • 7.160 mensajes
  • LocationRepública Dominicana

Escrito 13 febrero 2017 - 12:53

Sucede Delphius es que IBExpert no tiene una versión 64Bits, siempre es de 32Bits, si él tiene instalado Firebird 64Bits no podrá conectarse porque una aplicación no soporta lecturas de 64Bits, la solución es que al crear la base de datos debe especificarle un fbClient.dll de 32Bits, lo comento, porque eso es exactamente lo que me pasó mí hace unos meses atrás.


  • 0

#5 Delphius

Delphius

    Advanced Member

  • Administrador
  • 5.907 mensajes
  • LocationArgentina

Escrito 13 febrero 2017 - 01:10

Sucede Delphius es que IBExpert no tiene una versión 64Bits, siempre es de 32Bits, si él tiene instalado Firebird 64Bits no podrá conectarse porque una aplicación no soporta lecturas de 64Bits, la solución es que al crear la base de datos debe especificarle un fbClient.dll de 32Bits, lo comento, porque eso es exactamente lo que me pasó mí hace unos meses atrás.

 

Ya lo se amigo. Pero me parece que el error no va por ese lado.

En la imagen que adjunta marcosmoreira16 leo que el directorio en donde busca la dll cliente es "Program Files (x86), lo que sugiere que ha instalado Firebird a 32bits. ¡Tanto Firebird como IBExpert son del mismo bittness!

 

Por eso yo me inclino a que el problema es uno de esos 3 puntos que comenté.

 

Saludos,


  • 0

#6 enecumene

enecumene

    Webmaster

  • Administrador
  • 7.160 mensajes
  • LocationRepública Dominicana

Escrito 13 febrero 2017 - 01:21

Viendo detenidamente la imagen, tienes razón, ahora bien, veo que en el apartado server tiene esto: Local, default, es correcto eso?.


  • 0

#7 Delphius

Delphius

    Advanced Member

  • Administrador
  • 5.907 mensajes
  • LocationArgentina

Escrito 13 febrero 2017 - 01:50

Viendo detenidamente la imagen, tienes razón, ahora bien, veo que en el apartado server tiene esto: Local, default, es correcto eso?.

 

Pues, no sabría como responderte.

Utilizo IBExpert Personal 2016.4.4.1 (que data por Abril del 2016) y no recuerdo bien como era el cuadro de diálogo de la versión 3.0, que es la que está utilizando marcosmoreira16.

 

Admito que me he quedado pensando en lo mismo que tu dices... ¿Decía "Local, default" como en la imagen? La verdad no lo recuerdo.

Mi primer pensamiento es que NO. Que yo recuerde el ComboBox permite elegir si va a ser Local o Remoto. Y en caso de seleccionar remoto se debe completar además el nombre del server y el protocolo.

 

Pero puede que esté equivocado y no haya problemas. Después de todo, es cosa de IBExpert. Si uno indica que se conectará de Local, lo importante es que la ruta sea correcta y se tenga el permiso.

 

AVISO A CONSIDERAR:

IB Expert ha dejado de dar mantenimiento a versiones anteriores. Lo avisaron, aunque no muchos le dimos importancia. No puedo asegurar que sea la 3, o alguna inferior, pero si es altamente recomendable que marcosmoreira16 actualice lo más pronto posible IB Expert porque si usa la versión Personal no podrá volver a pedir la nueva clave con una versión inferior y por tanto no podrá siquiera iniciar IB Expert.

Yo lo hice en su momento, me di cuenta cuando al momento de iniciar IB Expert y al pedir la clave de renovación me dio un aviso de error. Y al consultar la página de IB Expert vi los avisos, y procedí a bajar la nueva que había en ese entonces. No recuerdo si me ha pasado usando la 3 o inferior.

Yo cumplo con avisar, ante la duda.

 

Saludos,


  • 0

#8 egostar

egostar

    missing my father, I love my mother.

  • Administrador
  • 13.523 mensajes
  • LocationMéxico

Escrito 13 febrero 2017 - 01:58

....

Tengo Windows 10, Firebird 2.5.6 y IBExpert 3.0.

....

 

Observando mas detenidamente veo que tienes Firebird 2.5.6 pero en el IBExpert dice que tu base es 2.1, 

 

No se si por ahí está el error. Adicionalmente a lo que ya se ha comentado.

 

Saludos


  • 0

#9 Delphius

Delphius

    Advanced Member

  • Administrador
  • 5.907 mensajes
  • LocationArgentina

Escrito 13 febrero 2017 - 02:11

Observando mas detenidamente veo que tienes Firebird 2.5.6 pero en el IBExpert dice que tu base es 2.1, 

 

No se si por ahí está el error. Adicionalmente a lo que ya se ha comentado.

 

Saludos

 

¿Donde dice que tiene 2.1? Porque la imagen muestra que el directorio de la dll cliente dice Firebird_2_5. Lo que tu estás viendo es la info de una DB previamente registrada en IBExpert. Presta atención y notarás que incluso la ruta y el nombre de la DB es diferente a la que está creando.

El procedimiento de IBExpert siempre fue así: 1) Creas la base de datos, y 2) Luego registras DB e indicas el motor (y versión) de Firebird a utilizar. No se indica el motor al momento de crear.

 

 

Lo que es importante mencionar es que si usaba Firebird 2.1 y ha procedido a instalar 2.5 siguiendo los pasos por defecto (el tipico next, next) es que se haya desinstalado por completo Firebird 2.1 para luego instalar Firebird 2.5.

Es posible convivir diferentes instancias de Firebird, pero para ello hay que asegurarse de hacer configuraciones adecuadas tanto de puertos como permisos y alterar un poco el registro de Windows.

 

Saludos,


  • 0

#10 marcosmoreira16

marcosmoreira16

    Newbie

  • Miembros
  • Pip
  • 7 mensajes
  • LocationAruba

Escrito 13 febrero 2017 - 03:20

Hola amigos.

Si, habia enviado esto en otro post, porque no sabia como crear uno.

Lo intenté la respuesta del primero, pero no me funcionó.

Tengo otro BD de otro software, lo que muestra a la izquierda que usa firebird 2.1.

Pero lo que necesito es iniciar un BD nuevo, crear otro nuevo para uno proyecto nuevo.

Perdonen el mensage duplicado aki y allá, por mi inexperiencia.

En las versiones anteriores todo era simple y me funcionaba bien.

Y he intentado copiar la fbclient.dll para la carpeta c:\windows\syswow64 como recomendado, pero sigue el mismo error.


Editado por marcosmoreira16, 13 febrero 2017 - 03:32 .

  • 0

#11 Delphius

Delphius

    Advanced Member

  • Administrador
  • 5.907 mensajes
  • LocationArgentina

Escrito 13 febrero 2017 - 04:06

Hola amigos.

Si, habia enviado esto en otro post, porque no sabia como crear uno.

Lo intenté la respuesta del primero, pero no me funcionó.

Tengo otro BD de otro software, lo que muestra a la izquierda que usa firebird 2.1.

Pero lo que necesito es iniciar un BD nuevo, crear otro nuevo para uno proyecto nuevo.

Perdonen el mensage duplicado aki y allá, por mi inexperiencia.

En las versiones anteriores todo era simple y me funcionaba bien.

Y he intentado copiar la fbclient.dll para la carpeta c:\windows\syswow64 como recomendado, pero sigue el mismo error.

 

Te voy a pedir que de ahora en adelante, continuemos tratando tu caso en este hilo que iniciaste.

 

En la imagen se ve que al colocar el directorio de la dll fbclient.dll le indicas la ruta del directorio de Firebird 2.5. Esto sugiere que instalaste esta versión.

Ahora bien, si antes estabas usando Firebird 2.1, lo deberías haber desinstalado.

 

¿Desinstalaste FB 2.1 antes de instalar la versión 2.5?

 

Yo asumí que desinstalaste FB 2.1. Sino lo haz hecho, y al momento de instalar FB 2.5 seguiste los pasos por defecto del instalador es bastante probable que el error se deba justamente a un conflicto entre las instancias, y no se está ejecutando el server de la versión 2.5.

 

Esto es debido a que ambas versiones intentan iniciarse al mismo momento, usar los mismos servicios, escuchar por el mismo puerto, etc. Es posible instalar varias versiones de Firebird en un mismo equipo pero esto requiere de esfuerzo extra ya que se debe configurar a cada una de las instancias para que escuche por un puerto específico (por ej. 3050 para FB 2.1 y 3051 para FB 2.5), hay que darles distintos nombres de servicios para cada uno (FBGuard21 y FBGuard25 por ejemplo), y otros pasos más que no recuerdo en detalle.

 

Para que tu entorno funcione adecuadamente deberás desinstalar alguna de las versiones y quedarte con una y trabajar con esa versión en todo. Esto implica hacer los Backup&Restore de tus proyectos DB obviamente. Es más por seguridad sugeriría que desinstales ambos, limpies el registro de instancias de Firebird en el registro de Windows, y te asegures que no ha quedado rastro de ninguno, luego instalar ya sea FB 2.1 o la 2.5, la que tu elijas. Y trabajes ya con esa.

 

Pero si en verdad necesitas mantener ambas instalaciones de FB 2.1 y de FB 2.5, deberás tomarte el trabajo de configurar FB 2.1 y FB 2.5 para que trabajen de forma simultánea en tu equipo. Para ello te invito a que leas esto y esto. Ante cualquier duda, recomendaría que contactes al soporte de Firebird. Son muy amables en su grupo de soporte. Por lo que veo en su mail list, incluso hay un grupo de ayuda de tu propia lengua. No me extrañaría... Firebid es muy difundido en Brasil.

 

Saludos,


  • 0

#12 marcosmoreira16

marcosmoreira16

    Newbie

  • Miembros
  • Pip
  • 7 mensajes
  • LocationAruba

Escrito 14 febrero 2017 - 03:14

Te voy a pedir que de ahora en adelante, continuemos tratando tu caso en este hilo que iniciaste.

 

En la imagen se ve que al colocar el directorio de la dll fbclient.dll le indicas la ruta del directorio de Firebird 2.5. Esto sugiere que instalaste esta versión.

Ahora bien, si antes estabas usando Firebird 2.1, lo deberías haber desinstalado.

 

¿Desinstalaste FB 2.1 antes de instalar la versión 2.5?

 

Yo asumí que desinstalaste FB 2.1. Sino lo haz hecho, y al momento de instalar FB 2.5 seguiste los pasos por defecto del instalador es bastante probable que el error se deba justamente a un conflicto entre las instancias, y no se está ejecutando el server de la versión 2.5.

 

Esto es debido a que ambas versiones intentan iniciarse al mismo momento, usar los mismos servicios, escuchar por el mismo puerto, etc. Es posible instalar varias versiones de Firebird en un mismo equipo pero esto requiere de esfuerzo extra ya que se debe configurar a cada una de las instancias para que escuche por un puerto específico (por ej. 3050 para FB 2.1 y 3051 para FB 2.5), hay que darles distintos nombres de servicios para cada uno (FBGuard21 y FBGuard25 por ejemplo), y otros pasos más que no recuerdo en detalle.

 

Para que tu entorno funcione adecuadamente deberás desinstalar alguna de las versiones y quedarte con una y trabajar con esa versión en todo. Esto implica hacer los Backup&Restore de tus proyectos DB obviamente. Es más por seguridad sugeriría que desinstales ambos, limpies el registro de instancias de Firebird en el registro de Windows, y te asegures que no ha quedado rastro de ninguno, luego instalar ya sea FB 2.1 o la 2.5, la que tu elijas. Y trabajes ya con esa.

 

Pero si en verdad necesitas mantener ambas instalaciones de FB 2.1 y de FB 2.5, deberás tomarte el trabajo de configurar FB 2.1 y FB 2.5 para que trabajen de forma simultánea en tu equipo. Para ello te invito a que leas esto y esto. Ante cualquier duda, recomendaría que contactes al soporte de Firebird. Son muy amables en su grupo de soporte. Por lo que veo en su mail list, incluso hay un grupo de ayuda de tu propia lengua. No me extrañaría... Firebid es muy difundido en Brasil.

 

Saludos,

Hola una vez mas.

 

Gracias por las informaciones y sugerencias, DELPHIUS.

 

Por partes.

 

El BD que muestra en la image, fue creado en FB 2.1, pero yo tengo instalado el Firebird-2.5.6.27020_0_Win32 y IBExpert 3.0.

Desde ayer, cuando vi tu mensage empeze a desinstalar Firebird y IBExpert, hacer una limpieza de disco en la laptop antes de instalar otra vez.

Lo único que no hice fué abrir registros de windows para verificar.

He notado que aún cuando desinstala se queda una carpeta de Firebird, pero con archivo txt.

Acabo de instalar FB y IB, pero el error sigue.

No puedo crear un nuevo BD y tampoco abrir este BD que tengo. Pero lo más importante es crear uno nuevo, crear tabelas y todo.

 

Gracias por el apoyo.

Si tienes alguna otra idea, te lo agradezco.

Sigo buscando.

 

En el soporte de Brasil, estoy desde la semana pasada esperando una resposta.

Aki, ustedes fueron mas amigables.

 

Los desafios existen para que luchemos hasta vencerlos.

Y esto está siendo un gran desafio.

 

Saludos.


  • 1

#13 egostar

egostar

    missing my father, I love my mother.

  • Administrador
  • 13.523 mensajes
  • LocationMéxico

Escrito 14 febrero 2017 - 04:47

Hola una vez mas.

 

Gracias por las informaciones y sugerencias, DELPHIUS.

 

Por partes.

 

El BD que muestra en la image, fue creado en FB 2.1, pero yo tengo instalado el Firebird-2.5.6.27020_0_Win32 y IBExpert 3.0.

Desde ayer, cuando vi tu mensage empeze a desinstalar Firebird y IBExpert, hacer una limpieza de disco en la laptop antes de instalar otra vez.

Lo único que no hice fué abrir registros de windows para verificar.

He notado que aún cuando desinstala se queda una carpeta de Firebird, pero con archivo txt.

Acabo de instalar FB y IB, pero el error sigue.

No puedo crear un nuevo BD y tampoco abrir este BD que tengo. Pero lo más importante es crear uno nuevo, crear tabelas y todo.

 

Gracias por el apoyo.

Si tienes alguna otra idea, te lo agradezco.

Sigo buscando.

 

En el soporte de Brasil, estoy desde la semana pasada esperando una resposta.

Aki, ustedes fueron mas amigables.

 

Los desafios existen para que luchemos hasta vencerlos.

Y esto está siendo un gran desafio.

 

Saludos.

 

Hola

 

Te recomiendo hagas un backup de tu base en la maquina donde la creaste o donde se pueda abrir, posteriormente haz el restore en tu maquina y creo que esa sería la solución.

 

Saludos


  • 0

#14 Delphius

Delphius

    Advanced Member

  • Administrador
  • 5.907 mensajes
  • LocationArgentina

Escrito 14 febrero 2017 - 06:59

Umm. Habría que examinar bien tu caso.

Ahora que te aseguraste de que hay una única instancia de Firebird instalada, ¿te fijaste si el servicio fbguard y fbserver están corriendo? Como he dicho: puede que algo esté bloqueando su inicio. Puede ser el Firewall, un Antivirus... o que incluso ¡tu lo hayas instalado y configurado para que se inicie manualmente!

No nos has aclarado este punto, y es muy importante antes de seguir con las preguntas si te aseguraste de que esté en ejecución.

Ya que tu haces conexión local, en principio podría descartar que el puerto 3050 (el que usa por defecto Firebird) esté bloqueado o que alguna otra aplicación lo esté usando. Pero deberías revisar esto también.

 

Si efectivamente el servidor está corriendo sin problemas, te recomiento que vayas a la carpeta de instalación de Firebird y busques un archivo log. Abrelo, y fíjate si ahí hay reportes de error. Si los hay, copia y pega el contenido de los últimos reportes. Nos puede ser de ayuda para entender mejor el problema que tienes.

 

El problema tiene que estar en alguno de las cosas que he comentado. El mensaje de error que aparece en la imagen da a entender eso: o no está en ejecución, o bien, algo está bloqueando algún recurso que usa a FB.

No creo que sea cosa de permisos de usuario. Si así fuera, en principio el error sería otro.

 

Saludos,


  • 0

#15 luk2009

luk2009

    Advanced Member

  • Moderadores
  • PipPipPip
  • 2.003 mensajes
  • LocationSanto Domingo

Escrito 14 febrero 2017 - 11:54

te aseguraste de tener permisos de escritura sobre la carpeta en la que estas creando la base de datos.
por otro lado trata de crearla poniendo conexion remota y especificando la ip de tu maquina.
por ultimo, como tienes delphi 7, asegurate de que el servicio de interbase no este corriendo porque usa el puerto 3050

Enviado desde mi KFFOWI mediante Tapatalk
  • 0

#16 marcosmoreira16

marcosmoreira16

    Newbie

  • Miembros
  • Pip
  • 7 mensajes
  • LocationAruba

Escrito 15 febrero 2017 - 06:43

Umm. Habría que examinar bien tu caso.

Ahora que te aseguraste de que hay una única instancia de Firebird instalada, ¿te fijaste si el servicio fbguard y fbserver están corriendo? Como he dicho: puede que algo esté bloqueando su inicio. Puede ser el Firewall, un Antivirus... o que incluso ¡tu lo hayas instalado y configurado para que se inicie manualmente!

No nos has aclarado este punto, y es muy importante antes de seguir con las preguntas si te aseguraste de que esté en ejecución.

Ya que tu haces conexión local, en principio podría descartar que el puerto 3050 (el que usa por defecto Firebird) esté bloqueado o que alguna otra aplicación lo esté usando. Pero deberías revisar esto también.

 

Si efectivamente el servidor está corriendo sin problemas, te recomiento que vayas a la carpeta de instalación de Firebird y busques un archivo log. Abrelo, y fíjate si ahí hay reportes de error. Si los hay, copia y pega el contenido de los últimos reportes. Nos puede ser de ayuda para entender mejor el problema que tienes.

 

El problema tiene que estar en alguno de las cosas que he comentado. El mensaje de error que aparece en la imagen da a entender eso: o no está en ejecución, o bien, algo está bloqueando algún recurso que usa a FB.

No creo que sea cosa de permisos de usuario. Si así fuera, en principio el error sería otro.

 

Saludos,

Hola amigos. Buenos dias.

 

EGOSTAR: Lo que quiero es crear una base nueva. Esta que se ve en IB es otro sistema que tengo una copia, pero tampoco me abre en IB. Pero el problema es que no puedo crear una nueva para practicar la programacion.

 

LUK2009: He intentado eso, pero creo que hay alguna cosa que no esté bien pues no conecta. Mira el print de pantalla.

 

DELPHIUS: Envio aki los prints de pantalla, una del Firewall y otra del Task Maneger con los servicios en "running".

 

Creo que eso sea lo que dijiste de LOG.

 

MARCOS-PC (Client)    Mon Feb 13 11:24:33 2017
    Guardian starting: "C:\Program Files (x86)\Firebird\Firebird_2_5\bin\fbserver.exe"



MARCOS-PC (Server)    Mon Feb 13 11:25:22 2017
    INET/inet_error: bind errno = 10048


MARCOS-PC (Server)    Mon Feb 13 11:25:22 2017
    Unable to complete network request to host "MARCOS-PC".
    Error while listening for an incoming connection.


MARCOS-PC (Client)    Tue Feb 14 10:23:56 2017
    "C:\Program Files (x86)\Firebird\Firebird_2_5\bin\fbserver.exe": normal shutdown



MARCOS-PC (Client)    Tue Feb 14 10:23:56 2017
    Control services error 1062


MARCOS-PC (Client)    Tue Feb 14 16:58:43 2017
    Guardian starting: "C:\Program Files (x86)\Firebird\Firebird_2_5\bin\fbserver.exe"



MARCOS-PC (Server)    Tue Feb 14 16:59:32 2017
    INET/inet_error: bind errno = 10048


MARCOS-PC (Server)    Tue Feb 14 16:59:32 2017
    Unable to complete network request to host "MARCOS-PC".
    Error while listening for an incoming connection.

 

Archivos adjuntos


  • 0

#17 enecumene

enecumene

    Webmaster

  • Administrador
  • 7.160 mensajes
  • LocationRepública Dominicana

Escrito 15 febrero 2017 - 06:58

Donde dice Arquivo da Biblioteca Cliente, por favor, especifique la ruta hacia fbClient.dll, insisto


  • 0

#18 luk2009

luk2009

    Advanced Member

  • Moderadores
  • PipPipPip
  • 2.003 mensajes
  • LocationSanto Domingo

Escrito 15 febrero 2017 - 07:08

donde pusiste 127.0.0.1 por la ip de tu pc ejemplo 10.0.0.3 o 192.168.1.2

Enviado desde mi KFFOWI mediante Tapatalk
  • 0

#19 marcosmoreira16

marcosmoreira16

    Newbie

  • Miembros
  • Pip
  • 7 mensajes
  • LocationAruba

Escrito 15 febrero 2017 - 08:48

Donde dice Arquivo da Biblioteca Cliente, por favor, especifique la ruta hacia fbClient.dll, insisto

 

Hice download de fbclient.dll porque creya q estaba corrompida y lo habia puesto en la misma carpeta del proyecto porque no funcionaba.

Ahora dejé en la misma carpeta \bin\fbclient.dll y me funcionó.

 

Gracias a todos por su apoyo.

Esto todo me fué de gran ayuda para estudiar y buscar aún mas las respuestas.

Si en algo les pueda ayudar, con mucho gusto estaré a la orden.

 

Un gran saludo desde Aruba.

 

Marcos.


  • 0

#20 Delphius

Delphius

    Advanced Member

  • Administrador
  • 5.907 mensajes
  • LocationArgentina

Escrito 15 febrero 2017 - 08:49

Estas nuevas imágenes nos plantean otros escenarios.

Ahora estás intentando crear una base de datos en remoto, y nos enteramos de la existencia de que tienes además, Interbase instalado.

Tener Interbase y Firebird instalados es motivo de problemas también. En parte por el puerto (que se soluciona indicando a cada motor que use uno distinto), y por la dll.

 

En Delphi 7 las suites de componentes por defecto (IBX, DBX) esperan para conectarse a una base de datos ya sea de Interbase o de Firebird 1.5 o 2.1 (no garantizo que las suites mencionadas anteriormente sean 100% compatibles con FB 2.5 y siguientes) la dll gds32.dll.

Desde Firebird 1.5 la dll que utiliza fue nombrada fbclient.dll y para dar soporte y compatibilidad a los componentes de Interbase ofrece su utilitario que renombra la dll fbclient.dll a gds32.dll.

En la doc que puedes encontrar en el directorio de instalación de Firebird vas a encontrar las instrucciones.

 

Tras la aparición de FB 2.5 las cosas empezaron a cambiar, y puede que aún renombrando la dll no te sea posible efectuar algunas operaciones sobre la DB desde D7. La evolución de Firebird 2.1 a 2.5 ha sido brusca, y más pronto que tarde la compatibilidad y semejanza con Interbase se va rompiendo. Cumplo con avisarte antes que avances más en el proyecto. Alternativas hay: las suites Zeos (Software Libre), FireDAC (propietaria, paga), por ejemplo que trabajan con las más recientes versiones de muchos motores de base de datos.

 

Ahora bien, IB Expert debería poder conectarte con indicarle que use la dll fbclient incluída en el directorio de instalación de Firebird. Para IB Expert no le es necesario que le renombres la dll. Hasta tengo mis dudas si Firebird 2.5 permitiría una conexión desde una dll llamada gds32.dll

El conflicto pasa por el hecho de que Interbase espera la dll gds32.dll y ésta está ubicada (y copiada, originaria desde el directorio de Interbase) en System32.dll. Con estas mezclas de dll el sistema no sabe con cual dll lidiar, si leer la de System o la que está en el propio directorio.

 

Básicamente eres víctima del DLL HELL.

Si ya no vas a necesitar Interbase, desinstalo. Te vas a ahorrar algunos problemas.

 

Respecto a una conexión remota, le es indistinto indicarle la IP o el nombre. Es válido hacer conexión remota a un equipo local utilizando 12.0.0.1 o bien el alias "localhost" o en tu caso el nombre del equipo: MARCOS-PC. Sugiero esta última forma. Recuerda tener habilitado el puerto para Firebird. Vuelvo a repetirlo.

 

Ya me pongo a revisar los errores del log y ver que encuentro sobre ello.

 

Saludos,


  • 0